config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
   rm $NEW
  fi
}

# Keep old hi-scores if any
config var/games/xbill/scores.new

# Allow group games write and disallow write access to others
chgrp -R games var/games/xbill
chmod -R g+w,o-w var/games/xbill

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

/sbin/setcap "cap_setgid=ep" usr/games/xbill
( cd usr/share/pixmaps ; rm -rf xbill.png )
( cd usr/share/pixmaps ; ln -sf ../icons/hicolor/48x48/apps/xbill.png xbill.png )
